Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.servlet
Class ServletAccess

    java.lang.Object
      org.jboss.portal.wsrp.servlet.ServletAccess

All Implemented Interfaces:
  java.lang.reflect.InvocationHandler

    public class ServletAccess

extends java.lang.Object
implements java.lang.reflect.InvocationHandler

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Field Summary
`static java.lang.ThreadLocal` | `local`
`protected java.lang.Object` | `next`

Constructor Summary
`ServletAccess()`

Method Summary
`static javax.servlet.http.HttpServletRequest` | `getRequest()`
`static javax.servlet.http.HttpServletResponse` | `getResponse()`
`java.lang.Object` | `invoke(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)`
`static void` | `setRequestAndResponse(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### local

    public static final java.lang.ThreadLocal local

### next

    protected java.lang.Object next

Constructor Detail

### ServletAccess

    public ServletAccess()

Method Detail

### invoke

    public java.lang.Object invoke(java.lang.Object proxy,
                                   java.lang.reflect.Method method,
                                   java.lang.Object[] args)
                            throws java.lang.Throwable

  Specified by:
    `invoke` in interface `java.lang.reflect.InvocationHandler`
  Throws:
    `java.lang.Throwable`

### setRequestAndResponse

    public static void setRequestAndResponse(javax.servlet.http.HttpServletRequest request,
                                             javax.servlet.http.HttpServletResponse response)

### getRequest

    public static javax.servlet.http.HttpServletRequest getRequest()

### getResponse

    public static javax.servlet.http.HttpServletResponse getResponse()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD